  function score = score_copula_mcdn_dummy(theta_raw, cutoff, X_w_choice, U, pairs, ws, cliques, cliques_idx, clique_f, clique_u, clique_u_c, expo_y, num_sel, Y_partitioning, sub_Y_0, children, arg_message, mpo, S_sub, sd_r_prior)
    theta = cop_transform(theta_raw, cutoff);  
    F = calc_copula_binary(U, pairs, ws, theta); 
    tables = tabulate(cliques, cliques_idx, clique_f, clique_u, clique_u_c, ...
                      U, diag(expo_y), pairs, F, num_sel, Y_partitioning, sub_Y_0);  
    pmf = cdf2pmf_mp(num_sel, X_w_choice, tables, cliques, cliques_idx, children, ...
                     arg_message, mpo);
    score = S_sub' * log(pmf) - 0.5 * (sum(theta_raw.^2) / sd_r_prior^2);
  end
